org.apache.ignite.internal.client

## Enum GridClientCacheMode

- java.lang.Object
- - java.lang.Enum<GridClientCacheMode>
  - - org.apache.ignite.internal.client.GridClientCacheMode

All Implemented Interfaces:
  Serializable, Comparable<GridClientCacheMode>

    public enum GridClientCacheMode
    extends Enum<GridClientCacheMode>

Cache type on remote node.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`LOCAL` Local cache.
`PARTITIONED` Partitioned cache.
`REPLICATED` Replicated cache.

### Method Summary

All Methods Static Methods Concrete Methods
`static GridClientCacheMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridClientCacheMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LOCAL

    public static final GridClientCacheMode LOCAL

Local cache.

#### REPLICATED

    public static final GridClientCacheMode REPLICATED

Replicated cache.

#### PARTITIONED

    public static final GridClientCacheMode PARTITIONED

Partitioned cache.

### Method Detail

#### values

    public static GridClientCacheMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridClientCacheMode c : GridClientCacheMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridClientCacheMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021